attribute vec4 position;
attribute vec3 normal;
attribute vec2 texcoord;
attribute vec4 color;

uniform mat4 mvp;
uniform mat3 normalMatrix;
uniform mat4 modelViewMatrix;
uniform vec3 multColor;
uniform vec3 lightDir;
uniform vec3 materialColor;

varying vec2 interpTexcoord;
varying vec3 vColor;

void main()
{
	vec3 vNormal = normalMatrix*normal;
	gl_Position = mvp * position;
	interpTexcoord = texcoord;
	
	//vertex lighting
	//ambient = 0.5
	//diffuse = 0.7

	vec3 N = vNormal;
	vec3 L = lightDir;

	float lambertTerm = max(dot(N,L), 0.0);
	vec3 color0 = materialColor.xyz * multColor;
	vColor = color0 * (0.5 + 0.7 * lambertTerm);
}
