uniform lowp vec4 shaderColor;
uniform lowp vec3 lightDir;
uniform lowp float objID;

varying highp vec3 eyeVec;
varying highp vec3 vNormal;


void main()
{			
	// Lighting
	
	lowp vec3 Normal = normalize(vNormal);
	lowp vec3 LightVert = lightDir;

	lowp float diffuse = max(dot(Normal, LightVert), 0.0);
	lowp vec2 diff_step = step(diffuse, vec2(0.1, 0.8));
	lowp float diff_mult = 1.0 - 0.4 * diff_step.x - 0.2 * diff_step.y;

	lowp vec3 out_color = shaderColor.xyz * diff_mult;
	
	gl_FragColor = vec4(out_color.xyz, objID);
	
}

